ChangeSet 1.1587.12.9, 2004/04/29 14:24:32-07:00, eike-hotplug@sf-tec.de

[PATCH] PCI Hotplug: Clean up acpiphp_core.c: kill hardware_test

The function hardware_test only tells that there are no tests. If we just
kill it the file "test" in the slot's directory will not show up which
means pretty much the same.


 drivers/pci/hotplug/acpiphp_core.c |   20 --------------------
 1 files changed, 20 deletions(-)


diff -Nru a/drivers/pci/hotplug/acpiphp_core.c b/drivers/pci/hotplug/acpiphp_core.c
--- a/drivers/pci/hotplug/acpiphp_core.c	Mon May 17 17:07:52 2004
+++ b/drivers/pci/hotplug/acpiphp_core.c	Mon May 17 17:07:52 2004
@@ -64,7 +64,6 @@
 static int enable_slot		(struct hotplug_slot *slot);
 static int disable_slot		(struct hotplug_slot *slot);
 static int set_attention_status (struct hotplug_slot *slot, u8 value);
-static int hardware_test	(struct hotplug_slot *slot, u32 value);
 static int get_power_status	(struct hotplug_slot *slot, u8 *value);
 static int get_attention_status	(struct hotplug_slot *slot, u8 *value);
 static int get_address		(struct hotplug_slot *slot, u32 *value);
@@ -78,7 +77,6 @@
 	.enable_slot		= enable_slot,
 	.disable_slot		= disable_slot,
 	.set_attention_status	= set_attention_status,
-	.hardware_test		= hardware_test,
 	.get_power_status	= get_power_status,
 	.get_attention_status	= get_attention_status,
 	.get_latch_status	= get_latch_status,
@@ -151,24 +149,6 @@
 
 	return 0;
 }
-
-
-/**
- * hardware_test - hardware test
- *
- * We have nothing to do for now...
- *
- */
-static int hardware_test(struct hotplug_slot *hotplug_slot, u32 value)
-{
-	struct slot *slot = hotplug_slot->private;
-
-	dbg("%s - physical_slot = %s\n", __FUNCTION__, hotplug_slot->name);
-
-	err("No hardware tests are defined for this driver\n");
-	return -ENODEV;
-}
-
 
 /**
  * get_power_status - get power status of a slot
